(define-module (rekahsoft guix-config manual laptop-lenovo-t480s)
  #:use-module (gnu)
  #:use-module (gnu system)
  #:use-module (gnu services xorg)
  #:use-module (nongnu packages nvidia)
  #:use-module (nongnu packages linux)
  #:use-module (nongnu services nvidia)
  #:use-module (rekahsoft guix-config desktop)
  #:export (%system))

(define base-system (rkd-desktop "rekahsoft-mini" "c811a95f-7de8-4c25-8b96-f4d223e5a06e" "8767-90D2"))

(define %system
  (operating-system
   (inherit base-system)

   (services
    (append
     (list (set-xorg-configuration
            (xorg-configuration
             (keyboard-layout (operating-system-keyboard-layout base-system)))))
     %rkd-desktop-services))))
