#!/usr/bin/env bash

docker run -d \
  -v /var/run/docker.sock:/var/run/docker.sock \
  -e DRONE_RPC_PROTO="https" \
  -e DRONE_RPC_HOST="ci.home.rekahsoft.ca" \
  -e DRONE_RPC_SECRET="8cb1a6fbc4febc68a99c4f1cc3f11f2a" \
  -e DRONE_RUNNER_CAPACITY=4 \
  -e DRONE_RUNNER_NAME="ci-runner1.home.rekahsoft.ca" \
  -e DRONE_RUNNER_LABELS=guix:on \
  -e DRONE_RUNNER_VOLUMES=/var/guix/daemon-socket/socket:/var/guix/daemon-socket/socket,/gnu/store:/gnu/store,/home/collin/guix-ci-cache:/.cache/guix \
  -e DRONE_DEBUG=true \
  -p 3001:3000 \
  --restart unless-stopped \
  --name runner-guix \
  --log-driver=loki \
  --log-opt loki-url="http://loki.home.rekahsoft.ca:3100/loki/api/v1/push" \
  --log-opt loki-retries=5 \
  --log-opt loki-batch-size=400 \
  docker.nexus.home.rekahsoft.ca/drone/drone-runner-docker:1.6.3
