#!/usr/bin/env bash

# Using this temporarily until docker-compose is available on the host (need to install it)

docker run -d \
    -v $PWD/config.yaml:/config.yaml \
    -v $PWD/data:/data \
    -v /var/run/docker.sock:/var/run/docker.sock \
    -e CONFIG_FILE=/config.yaml \
    -e GITEA_INSTANCE_URL=${INSTANCE_URL} \
    -e GITEA_RUNNER_REGISTRATION_TOKEN=${REGISTRATION_TOKEN} \
    -e GITEA_RUNNER_NAME=${RUNNER_NAME} \
    --name gitea-runner-guix \
    docker.nexus.home.rekahsoft.ca/gitea/act_runner:0.2.6
