#!/usr/bin/env bash

docker run -d \
  --restart unless-stopped \
  --name gitea \
  -v gitea:/data \
  -v /etc/timezone:/etc/timezone:ro \
  -v /etc/localtime:/etc/localtime:ro \
  -p 80:3000 \
  -p 2222:22 \
  --log-driver=loki \
  --log-opt loki-url="http://loki.home.rekahsoft.ca:3100/loki/api/v1/push" \
  --log-opt loki-retries=5 \
  --log-opt loki-batch-size=400 \
  docker.nexus.home.rekahsoft.ca/gitea/gitea:1.18.5
