#/usr/bin/env bash

docker run -d --name nextcloud \
  -p 80:80 \
  --restart unless-stopped \
  -v nextcloud:/var/www/html \
  -v apps:/var/www/html/custom_apps \
  -v config:/var/www/html/config \
  -v /mnt/cephfs:/var/www/html/data \
  -e APACHE_DISABLE_REWRITE_IP=1 \
  -e TRUSTED_PROXIES="172.16.0.1" \
  -e NEXTCLOUD_TRUSTED_DOMAINS="cloud.home.rekahsoft.ca,cloud0.home.rekahsoft.ca" \
  docker.nexus.home.rekahsoft.ca/nextcloud:stable

# Last working: 22.2.3-apache
# Broken upgrade: 22.2.5.1
