#!/usr/bin/env bash

docker run -d \
  -p 80:3000 \
  --restart unless-stopped \
  --name grafana \
  -v grafana:/var/lib/grafana \
  -e "GF_INSTALL_PLUGINS=vonage-status-panel,grafana-piechart-panel" \
  -e "GF_SECURITY_ALLOW_EMBEDDING=true" \
  docker.nexus.home.rekahsoft.ca/grafana/grafana-oss:9.3.6
